# Generated from fund_list-1.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name fund_list

Name: rubygem-%{gem_name}
Version: 1.0.0
Release: 1%{?dist}
Summary: A simple, fun, project funding simulation
License: MIT
URL: http://github.com/victorfranco
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9
# BuildRequires: rubygem(rspec)
BuildArch: noarch

%description
This RubyGem contains a nice-n-easy funding projects simulation, called
FundList.
The sim runs in command-line, calling just the command crowd_fund (easy as
that :0 )
You can choose the number of funding rounds and it will display the current
stats of the projects.
You can also create a '.csv' file to hold projects, with a current amount and
a target.
This file should be put next to the command when calling the sim.
File structure:
--NAME--|--TARGET--|--AMOUNT-- (This is just for explanatory purpose)
Project,1000,100
(The commas must be put into each string of projects, without blankspace.)
Have fun on this simulation. If you have any ideas, you can use the code,
which already is tested, to create a new, different, sim!
Good-bye !! =).


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/crowd_fund
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README
%{gem_instdir}/spec

%changelog
* Tue Apr 19 2022 mockbuilder - 1.0.0-1
- Initial package
